require 'sinatra/base'
require_relative 'sassconvert.rb'

module Sinatra
  module AutoSass
    def self.registered(app)
      app.set :options, 
              {
                :css_location => 'public/css',
                :template_location => 'public/sass',
                :syntax => :sass,
                :cache => true,
                :cache_location => '.tmp/sass-cache'
              }
      app.before do
        SassConvert.new(settings.options)
      end
    end
  end
  register AutoSass
end
